Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1977650 - python-zarr fails to build with Sphinx 4.0.2
Summary: python-zarr fails to build with Sphinx 4.0.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-zarr
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10 F35FTBFS 1973718
TreeView+ depends on / blocked
 
Reported: 2021-06-30 08:31 UTC by Karolina Surma
Modified: 2021-08-01 07:54 UTC (History)
3 users (show)

Fixed In Version: python-zarr-2.8.3-3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-01 07:54:10 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Karolina Surma 2021-06-30 08:31:48 UTC
python-zarr fails to build with Sphinx 4.0.2 in Fedora 35 (currently Rawhide).

+ sphinx-build-3 docs html
Running Sphinx v4.0.2
making output directory... done
Exception occurred:
  File "/builddir/build/BUILD/zarr-2.8.3/docs/conf.py", line 149, in setup
    app.add_stylesheet('custom.css')
AttributeError: 'Sphinx' object has no attribute 'add_stylesheet'

For the logs from testing build attempts, see:
https://copr.fedorainfracloud.org/coprs/ksurma/pygments-2.9.0/package/python-zarr/

Possible solution to this issue:
In some cases it may be enough to replace the call to 'add_stylesheet' with 'add_css_file' instead.

You can test you package using Koji scratch build
koji build --scratch <srpm>

For details regarding the Sphinx change, see https://fedoraproject.org/wiki/Changes/Sphinx4
Let us know here if you have any questions. Thank you!

Comment 1 Fedora Release Engineering 2021-08-01 04:23:11 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-25).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 2 Fedora Update System 2021-08-01 07:51:43 UTC
FEDORA-2021-6217453137 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6217453137

Comment 3 Fedora Update System 2021-08-01 07:54:10 UTC
FEDORA-2021-6217453137 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.